# Changelog

All notable changes to this project will be documented in this file.

## [23.1.1] - 2023-01-27

## Added
* Add config file for generating a changlog from conventional commits [0c1fbc1](https://github.com/greenbone/greenbone-feed-sync/commit/0c1fbc1)
* Allow to set a timeout for rsync [5cb8f49](https://github.com/greenbone/greenbone-feed-sync/commit/5cb8f49)
* Download gvmd-data as a whole to get feed.xml and license files too [f726536](https://github.com/greenbone/greenbone-feed-sync/commit/f726536)
* Use codecov.io for code coverage overview and reporting [ab1bb8b](https://github.com/greenbone/greenbone-feed-sync/commit/ab1bb8b)
* Add GitHub Actions workflows for deployment [99d8296](https://github.com/greenbone/greenbone-feed-sync/commit/99d8296)
* Add a codeowners file [391c0dd](https://github.com/greenbone/greenbone-feed-sync/commit/391c0dd)
* Add test for the main CLI function [a06fae7](https://github.com/greenbone/greenbone-feed-sync/commit/a06fae7)
* Add test for the feed_sync coroutine function [27d14ee](https://github.com/greenbone/greenbone-feed-sync/commit/27d14ee)
* Add test for the --type argument of CliParser [30e4765](https://github.com/greenbone/greenbone-feed-sync/commit/30e4765)
* Add missing type hints [ae1cb31](https://github.com/greenbone/greenbone-feed-sync/commit/ae1cb31)
* Add tests for Spinner TUI class [b8e87d0](https://github.com/greenbone/greenbone-feed-sync/commit/b8e87d0)
* Add tests for the exec_rsync coroutine function [add3286](https://github.com/greenbone/greenbone-feed-sync/commit/add3286)
* Add coverage as dev dependency [118b157](https://github.com/greenbone/greenbone-feed-sync/commit/118b157)
* Extend Config class tests by checking for config file errors [e528e4d](https://github.com/greenbone/greenbone-feed-sync/commit/e528e4d)
* Add tests for the Rsync class [c5711f8](https://github.com/greenbone/greenbone-feed-sync/commit/c5711f8)
* Add first CI workflows and dependabot config [dd67b78](https://github.com/greenbone/greenbone-feed-sync/commit/dd67b78)
* Start tests for CliParser class [29531a7](https://github.com/greenbone/greenbone-feed-sync/commit/29531a7)
* Extend tests for Config class [fbeb29b](https://github.com/greenbone/greenbone-feed-sync/commit/fbeb29b)
* Add a rich spinner class that keeps the output (non-transient) [a682ca7](https://github.com/greenbone/greenbone-feed-sync/commit/a682ca7)
* Add tests for the config default values and feed_type function [a2f7459](https://github.com/greenbone/greenbone-feed-sync/commit/a2f7459)
* Add test for flock_wait function [4827267](https://github.com/greenbone/greenbone-feed-sync/commit/4827267)
* Add section about using the config to README [20ff092](https://github.com/greenbone/greenbone-feed-sync/commit/20ff092)
* Add config file parsing, env support and own CLI parser [25c5091](https://github.com/greenbone/greenbone-feed-sync/commit/25c5091)

## Removed
* Update README to remove installation via poetry [b353bdf](https://github.com/greenbone/greenbone-feed-sync/commit/b353bdf)
* Drop feed-url and destination-prefix from argument parser [afe4cb9](https://github.com/greenbone/greenbone-feed-sync/commit/afe4cb9)
* Drop unused exec_command function [b992937](https://github.com/greenbone/greenbone-feed-sync/commit/b992937)
* Drop ospd openvas version helper function [e0b646b](https://github.com/greenbone/greenbone-feed-sync/commit/e0b646b)

## Changed
* Merge both release workflows into one [ceddd8a](https://github.com/greenbone/greenbone-feed-sync/commit/ceddd8a)
* Update usage in README [1e948d4](https://github.com/greenbone/greenbone-feed-sync/commit/1e948d4)
* Update README for adding usage and settings summary [266bf4c](https://github.com/greenbone/greenbone-feed-sync/commit/266bf4c)
* Improve description of feed url and destination prefix [5874d5b](https://github.com/greenbone/greenbone-feed-sync/commit/5874d5b)
* Update to a beta release [6937d0b](https://github.com/greenbone/greenbone-feed-sync/commit/6937d0b)
* Correct test method name [6420ad0](https://github.com/greenbone/greenbone-feed-sync/commit/6420ad0)
* Move is_root to helper module and add tests [82af138](https://github.com/greenbone/greenbone-feed-sync/commit/82af138)
* Improve code coverage for flock_wait [95aa5fb](https://github.com/greenbone/greenbone-feed-sync/commit/95aa5fb)
* Raise error if explicitly passed config file doesn't exist [bdd7162](https://github.com/greenbone/greenbone-feed-sync/commit/bdd7162)
* Extend CliParser tests [9752829](https://github.com/greenbone/greenbone-feed-sync/commit/9752829)
* Ensure destination prefix gets parsed as Path [7c04ff9](https://github.com/greenbone/greenbone-feed-sync/commit/7c04ff9)
* Refactor Config load into a static method [9e2bd17](https://github.com/greenbone/greenbone-feed-sync/commit/9e2bd17)
* Allow to specify a config value type [1d2f463](https://github.com/greenbone/greenbone-feed-sync/commit/1d2f463)
* Improve console output by using rich [2741c75](https://github.com/greenbone/greenbone-feed-sync/commit/2741c75)
* Change the verbosity to None in the config [4b06421](https://github.com/greenbone/greenbone-feed-sync/commit/4b06421)
* Use rich Console in flock_wait for output [d73dee2](https://github.com/greenbone/greenbone-feed-sync/commit/d73dee2)
* Add rich as dependency for console output [f406f25](https://github.com/greenbone/greenbone-feed-sync/commit/f406f25)
* Update pylintrc [9b5f6f9](https://github.com/greenbone/greenbone-feed-sync/commit/9b5f6f9)
* Rename environment variables and use GREENBONE_FEED_SYNC prefix [9ad63bd](https://github.com/greenbone/greenbone-feed-sync/commit/9ad63bd)
* Use verbose output for the script by default [a29cdec](https://github.com/greenbone/greenbone-feed-sync/commit/a29cdec)
* Use our own pylintrc [dad2e1a](https://github.com/greenbone/greenbone-feed-sync/commit/dad2e1a)
* Mention rsync requirement in README [0421b41](https://github.com/greenbone/greenbone-feed-sync/commit/0421b41)
* Split settings table into sevaral sections [1399a3c](https://github.com/greenbone/greenbone-feed-sync/commit/1399a3c)
* Split lock file into an openvas and gvmd one [09af6fd](https://github.com/greenbone/greenbone-feed-sync/commit/09af6fd)
* Disable refactor setting too-many-branches [d33124f](https://github.com/greenbone/greenbone-feed-sync/commit/d33124f)
* Print message when the lock file is released [acc6f72](https://github.com/greenbone/greenbone-feed-sync/commit/acc6f72)
* Set access mode for lock file parent directories [f66d6fb](https://github.com/greenbone/greenbone-feed-sync/commit/f66d6fb)
* Adjust arguments and document them [fa5a287](https://github.com/greenbone/greenbone-feed-sync/commit/fa5a287)
* Add help text to all CLI arguments [0023a20](https://github.com/greenbone/greenbone-feed-sync/commit/0023a20)
* Improve parsing the feed type [aea0330](https://github.com/greenbone/greenbone-feed-sync/commit/aea0330)
* Update README [94376d2](https://github.com/greenbone/greenbone-feed-sync/commit/94376d2)
* Update feed sync function [d02eb86](https://github.com/greenbone/greenbone-feed-sync/commit/d02eb86)
* Convert flock context manager into a flock wait async context manager [2ed33d3](https://github.com/greenbone/greenbone-feed-sync/commit/2ed33d3)
* Also sync hard links and transform unsafe symlinks [e71a413](https://github.com/greenbone/greenbone-feed-sync/commit/e71a413)
* Disable pylint refactor warning for to few methods [3a422da](https://github.com/greenbone/greenbone-feed-sync/commit/3a422da)
* Update default rsync url and remove othe default variables [1984245](https://github.com/greenbone/greenbone-feed-sync/commit/1984245)
* Add a ConfigFileError class [c66b3de](https://github.com/greenbone/greenbone-feed-sync/commit/c66b3de)
* Simplify rsync task creation [ef174cf](https://github.com/greenbone/greenbone-feed-sync/commit/ef174cf)

## Bug Fixes
* Rename GREENBONE_NASL_DESTINATION to GREENBONE_FEED_SYNC_NASL_DESTINATION [675646f](https://github.com/greenbone/greenbone-feed-sync/commit/675646f)
* Don't import main function into greenbone.feed.sync module [076d322](https://github.com/greenbone/greenbone-feed-sync/commit/076d322)
* Ensure the lockfile file descriptor gets closed always [d3d405e](https://github.com/greenbone/greenbone-feed-sync/commit/d3d405e)
* Fix excluding the private directory from rsync [81bd8e1](https://github.com/greenbone/greenbone-feed-sync/commit/81bd8e1)

[Unreleased]: https://github.com/greenbone/greenbone-feed-sync/compare/???...HEAD